#!/bin/bash
i386-elf-gcc -ffreestanding -c src/kernel/main.c -o kernel.o
nasm -f elf src/entrypoint.s -o entry.o
nasm -f bin src/boot/mbr.s -o mbr.bin
i386-elf-ld -o kernel.bin -Ttext 0x1000 entry.o kernel.o --oformat binary
cat mbr.bin kernel.bin > os.bin
